## ros-kinetic-katana-moveit-ikfast-plugin 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(katana_moveit_ikfast_plugin)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  pluginlib
  roscpp
  tf_conversions
)

include_directories(${catkin_INCLUDE_DIRS})

catkin_package(
  LIBRARIES
  CATKIN_DEPENDS
    moveit_core
    pluginlib
    roscpp
    tf_conversions
)

include_directories(include)

set(IKFAST_LIBRARY_NAME katana_moveit_ikfast_kinematics_plugin)

find_package(LAPACK REQUIRED)

add_library(${IKFAST_LIBRARY_NAME} src/katana_450_6m90a_ikfast_plugin.cpp)
target_link_libraries(${IKFAST_LIBRARY_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${LAPACK_LIBRARIES})

install(TARGETS ${IKFAST_LIBRARY_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(
  FILES
  katana_moveit_ikfast_plugin_description.xml
  DESTINATION
  ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-katana-moveit-ikfast-plugin (1.1.2-0xenial) xenial; urgency=high

  * ikfast plugin: regenerated with newest moveit_ikfast
  * Update update_ikfast_plugin.sh
  * Contributors: Martin Günther

 -- Martin Günther <mguenthe@uos.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-kinetic-katana-moveit-ikfast-plugin (1.1.1-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uos.de>  Thu, 25 May 2017 22:00:00 -0000

ros-kinetic-katana-moveit-ikfast-plugin (1.1.0-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uos.de>  Thu, 25 May 2017 22:00:00 -0000

ros-kinetic-katana-moveit-ikfast-plugin (1.0.8-0xenial) xenial; urgency=high

  * Update for urdf 1.0 (Closes: #22 <https://github.com/uos/katana_driver/issues/22>)
  * ikfast plugin: update to newest moveit_kinematics template
    Manual update, without the formatting changes
  * Contributors: Jochen Sprickerhof, Martin Günther

 -- Martin Günther <mguenthe@uos.de>  Thu, 25 May 2017 22:00:00 -0000

ros-kinetic-katana-moveit-ikfast-plugin (1.0.7-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uos.de>  Fri, 10 Feb 2017 23:00:00 -0000

ros-kinetic-katana-moveit-ikfast-plugin (1.0.6-0xenial) xenial; urgency=high

  * Initial release to Kinetic
  * Build with C++11
  * Contributors: Martin Günther

 -- Martin Günther <mguenthe@uos.de>  Thu, 26 Jan 2017 23:00:00 -0000

ros-kinetic-katana-moveit-ikfast-plugin (1.0.5-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uos.de>  Mon, 11 Apr 2016 22:00:00 -0000

ros-kinetic-katana-moveit-ikfast-plugin (1.0.4-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uos.de>  Sun, 10 Apr 2016 22:00:00 -0000

ros-kinetic-katana-moveit-ikfast-plugin (1.0.3-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uos.de>  Sun, 28 Jun 2015 22:00:00 -0000

ros-kinetic-katana-moveit-ikfast-plugin (1.0.2-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uos.de>  Tue, 05 May 2015 22:00:00 -0000

ros-kinetic-katana-moveit-ikfast-plugin (1.0.1-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uos.de>  Mon, 16 Mar 2015 23:00:00 -0000

ros-kinetic-katana-moveit-ikfast-plugin (1.0.0-0xenial) xenial; urgency=high

  * Initial release to Debian packages
  * Contributors: Martin Günther, Henning Deeken, Michael Görner

 -- Martin Günther <mguenthe@uos.de>  Sun, 15 Mar 2015 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-katana-moveit-ikfast-plugin
Section: misc
Priority: extra
Maintainer: Martin Günther <mguenthe@uos.de>
Build-Depends: debhelper (>= 9.0.0), liblapack-dev, ros-kinetic-catkin, ros-kinetic-moveit-core, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-tf-conversions
Homepage: http://wiki.ros.org/katana_moveit_ikfast_plugin
Standards-Version: 3.9.2

Package: ros-kinetic-katana-moveit-ikfast-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblapack-dev, ros-kinetic-moveit-core, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-tf-conversions
Description: The katana_moveit_ikfast_plugin package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-katana-moveit-ikfast-plugin//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
